// -*- c++ -*-
// $Id$
/*
 * Copyright 2005-2007 Spencer Olson
 *
 */

#ifndef SELECT_LASER_H
#define SELECT_LASER_H

#include <laser-cooling/Laser.h>


#define SINGLE_GAUSSIAN         0
#define MOLASSES                1
#define SINGLE_HOLLOW           2
#define CROSSED_HOLLOW          3
#define CONST_FIELD             4
#define SPHERICAL_HARMONIC      5
#define FIELD_LOOKUP            6

#ifndef LASER_TYPE
#  define LASER_TYPE FIELD_LOOKUP
#endif

#if (LASER_TYPE == SINGLE_GAUSSIAN)
#  include "single_gaussian.h"
#elif (LASER_TYPE == MOLASSES)
#  include "molasses.h"
#elif (LASER_TYPE == SINGLE_HOLLOW)
#  include "single_hollow.h"
#elif (LASER_TYPE == CROSSED_HOLLOW)
#  include "crossed_hollow.h"
#elif (LASER_TYPE == CONST_FIELD)
#  include "ConstantLaserField.h"
#elif (LASER_TYPE == SPHERICAL_HARMONIC)
#  include "SphericalHarmonic.h"
#else // (LASER_TYPE == FIELD_LOOKUP)
#  include "laserfield.h"
#endif


#endif // SELECT_LASER_H
